{
  "accUserMode" : 2,
  "caption" : "书选择树视图",
  "codeName" : "bookTEST2PickupTreeView",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/bookTEST2PickupTreeView.json",
  "mDCtrlActiveMode" : 2,
  "memo" : "系统自动添加",
  "name" : "bookTEST2PickupTreeView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupTreeView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "TreeTest",
    "controlType" : "TREEVIEW",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book/PSTREEVIEWS/TreeTest.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      }
    },
    "logicName" : "树测试",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "树视图处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "ctrlParams" : {
        "CASCADESELECT" : "true"
      },
      "id" : "TREE"
    },
    "getPSControls" : [ {
      "codeName" : "TEST2PickupTreeViewdyna_cm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "树节点上下文菜单测试",
      "name" : "dyna_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "dyna_cm"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "打开表格视图",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "dyna_cm_deuiaction1"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "打开主数据视图",
          "codeName" : "open_main_view",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/bookGridView.json",
            "viewType" : "DEGRIDVIEW"
          },
          "frontProcessType" : "TOP",
          "fullCodeName" : "Book_open_main_view",
          "name" : "打开主数据视图",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "open_main_view",
          "uIActionType" : "DEUIACTION",
          "id" : "open_main_view@Book"
        },
        "tooltip" : "打开表格视图",
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "toolbarStyle" : "CONTEXTMENU",
      "modelid" : "EB469104-357A-4353-A786-F92DCE939107",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "dmb"
      },
      "name" : "默认根节点 - 代码表",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "daimab"
      },
      "name" : "代码表 - 代码表数据",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "dmb"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "dyna"
      },
      "name" : "图书 - book数据",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "book"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "book"
      },
      "name" : "默认根节点 - 图书",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "name" : "图书",
      "nodeType" : "book",
      "nodeValue" : "ts",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      },
      "text" : "图书",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "book"
    }, {
      "counterMode" : 0,
      "name" : "代码表数据",
      "nodeType" : "daimab",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/common__PhoneType.json"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      },
      "treeNodeType" : "CODELIST",
      "hasPSDETreeNodeRSs" : false,
      "appendCaption" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "daimab"
    }, {
      "counterMode" : 0,
      "name" : "代码表",
      "nodeType" : "dmb",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      },
      "text" : "代码表",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "dmb"
    }, {
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIdPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "maxSize" : -1,
      "name" : "book数据",
      "nodeType" : "dyna",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "TEST2PickupTreeViewdyna_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "树节点上下文菜单测试",
        "name" : "dyna_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
        },
        "getPSControlParam" : {
          "id" : "dyna_cm"
        },
        "getPSDEToolbarItems" : [ {
          "caption" : "打开表格视图",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "dyna_cm_deuiaction1"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "tooltip" : "打开表格视图",
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "toolbarStyle" : "CONTEXTMENU",
        "modelid" : "EB469104-357A-4353-A786-F92DCE939107",
        "modeltype" : "PSDETOOLBAR"
      },
      "getTextPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "dyna"
    } ],
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      }
    },
    "treeGridMode" : 0,
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
      }
    },
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "tree",
    "modelid" : "3FC30C20-9322-4F99-B755-05D9ED68DB08",
    "modeltype" : "PSDETREEVIEW"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "书选择树视图",
    "codeName" : "TEST2PickupTreeViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TEST2PickupTreeView",
  "getPSDEViewId" : "cdd73a3e23e0a4113a139664249cf82a",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPTREEVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "书选择树视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPTREEVIEW",
  "xDataControlName" : "tree",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "pickupMode" : true,
  "modelid" : "59f438088b767be4885b155959e178bf",
  "modeltype" : "PSAPPDEVIEW"
}